# gnss_spp

This example script contains implementation of GNSS SPP method that can be used to determine coordinates
of the receiver, given corresponding RINEX files.

## Prerequisites

Following libraries are necessary to run the script:

- nmbu.rinex.reader
- numpy
- pyproj
- tabulate
- gps_time

## Input

The script also requires valid RINEX observation and navigation files of version 3 or 4.

## Output

The script will produce two output files - One for main results and another for results of intermediate calculations.
The names of the files are specified in the main hook.

## Structure

- spp.py: contains implementation of SPP method as well as main hook to run the script. Input is defined in the main hook.
- spp_utils.py: contains utility methods to determine satellite coordinates and some additional variables used in the SPP iterations.
- corrections.pu: contains utility methods to calculate tropospheric and ionospheric corrections, using modified Hopfield and Klobuchar methods respectively.
- geo.py: contains definitions of geospheric constants, like speed of light, GPSS ellipsoids, etc.